> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View Credit Limits for a Business

> Retrieves current credit limit information and related metrics.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Business/CreditLimit
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Business/CreditLimit:
    get:
      tags:
        - Business
      summary: Gets the Credit Limit for the company
      operationId: Business_GetCreditLimit
      parameters:
        - name: id
          in: query
          description: BusinessId of the Business to get a Credit Limit for
          required: false
          schema:
            format: int32
            type: integer
        - name: CustomerId
          in: query
          description: >-
            If you are a Trade Provider you can use your CustomerId to idenfity
            a Business with the CustomerId parameter.
          required: false
          schema:
            type: string
        - name: SupplierId
          in: query
          description: >-
            If you have a Supplier List you can use your SupplierId to identify
            a Business with the SupplierId parameter.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APICreditLimitResponse_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APICreditLimitResponse_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APICreditLimitResponse_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APICreditLimitResponse_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_APICreditLimitResponse_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_APICreditLimitResponse_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          $ref: '#/components/schemas/APICreditLimitResponse'
        ErrorCode:
          description: ''
          type: string
    APICreditLimitResponse:
      description: ''
      type: object
      properties:
        MaxLimit:
          format: int32
          description: Maximum Credit Limit
          type: integer
        RecommendedCreditLimit:
          format: int32
          description: Recommended Credit Limit
          type: integer
        ZScore:
          format: double
          description: ZScore for the Business
          type: number
        StockVolatility:
          format: double
          description: >-
            A measure of the amount by which a company's daily stock price
            fluctuates over a trailing 6 month period, with greater weighting
            given to the recent months
          type: number
        Leverage:
          format: double
          description: >-
            A calculation of Leverage and Debt Coverage. Leverage is Total
            Liabilities divided by Total Assets, and is typically between 0 and
            1.4.  A lower value is better.
          type: number
        LatestStatementDate:
          format: date-time
          description: The date of the financials used in the credit limit calculations.
          type: string
        Rationale:
          description: Comments/Rational related to the credit limit.
          type: string
          readOnly: true
        AvgTransaction:
          format: double
          description: The average amount you expect to sell to this customer per month.
          type: number
        TransactionLimit:
          format: int32
          description: >-
            The maximum number of months of sales outstanding that you will
            tolerate from this customer (1 or more).
          type: integer
        MaxExpectedLossLimit:
          format: int32
          description: Upper limit on the probability-weighted loss from this customer.
          type: integer
        RiskAppetite:
          description: >-
            Level of risk that is consistent with your credit strategy (HIGH,
            MED, or LOW)
          type: string
        CostOfCapital:
          format: double
          description: Your cost of capital
          type: number
        GrossMargin:
          format: double
          description: Your expected Gross Profit Margin from sales to this customer
          type: number
        ExistingCreditLimit:
          format: int32
          description: Your current credit limit for this customer.
          type: integer
        MonitorFlag:
          description: Automatic monitoring (A - Automatic, Y - Manual, N - No monitoring)
          type: string
        MonitorHi:
          format: int64
          description: Alert me if maximum limit goes ABOVE this value
          type: integer
        MonitorLo:
          format: int64
          description: Alert me if maximum limit goes BELOW this value
          type: integer
        CurrencyCode:
          description: The Currency Code of this Business (USD, GBP, JPY, etc)
          type: string
        BusinessId:
          format: int32
          description: Id of the Business
          type: integer
        PrimaryBusinessName:
          description: Name of the Business
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````